For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Logo
Resources
Log inGet a demo
Get startedAPI referenceImplementation
Get startedAPI referenceImplementation
    • Overview
          • The Project object
          • GET/projects
          • GET/projects/{id}
UnifiedAgent HandlerGateway
UnifiedAgent HandlerGateway
Resources
Log inGet a demo
Common ModelsProjects

/projects/{id}

Beta
GET
/accounting/v1/projects/:id
GET
/api/accounting/v1/projects/:id
$curl -G https://api.merge.dev/api/accounting/v1/projects/id \
> -H "X-Account-Token: X-Account-Token" \
> -H "Authorization: Bearer <token>" \
> --data-urlencode expand=company,contact
200Retrieved
1{
2 "name": "Permissions Mapping",
3 "id": "ecbe05ac-62a3-46c5-ab31-4b478b37d1b4",
4 "remote_id": "088899",
5 "created_at": "2021-09-15T00:00:00Z",
6 "modified_at": "2021-10-16T00:00:00Z",
7 "is_active": true,
8 "company": "595c8f97-2ac4-45b7-b000-41bdf43240b5",
9 "contact": "d25d609b-945f-4762-b55a-1c8fb220c43c",
10 "field_mappings": {
11 "organization_defined_targets": {
12 "custom_key": "custom_value"
13 },
14 "linked_account_defined_targets": {
15 "custom_key": "custom_value"
16 }
17 },
18 "remote_data": [
19 {
20 "path": "/actions",
21 "data": null
22 }
23 ]
24}

Returns a Project object with the given id.

Field support by integration

See all supported fields

Use the /linked-accounts endpoint to pull platform support information

Was this page helpful?
Previous

/projects

Next

The PurchaseOrder object

Built with

Authentication

AuthorizationBearer

Token-based authentication with required prefix “Bearer”

Path parameters

idstringRequiredformat: "uuid"

Headers

X-Account-TokenstringRequired
Token identifying the end user.

Query parameters

expandenumOptional
Which relations should be returned in expanded form. Multiple relation names should be comma separated without spaces.
Allowed values:
include_remote_databooleanOptional

Whether to include the original data Merge fetched from the third-party to produce these models.

include_shell_databooleanOptional

Whether to include shell records. Shell records are empty records (they may contain some metadata but all other fields are null).

Response

namestring<=255 characters

The project’s name

idstringRead-onlyformat: "uuid"
remote_idstring or null

The third-party API ID of the matching object.

created_atdatetimeRead-only
The datetime that this object was created by Merge.
modified_atdatetimeRead-only
The datetime that this object was modified by Merge.
is_activeboolean

True if the project is active, False if the project is not active.

companystring or nullformat: "uuid"
The subsidiary that the project belongs to.
contactstring or nullformat: "uuid"
The supplier, or customer involved in the project.
field_mappingsobject or nullRead-only
remote_datalist of objects or nullRead-only